#ifndef OPEN_H
#define OPEN_H

#include <QDialog>
#include <QFileSystemModel>

namespace Ui {
class Open;
}

class Open : public QDialog
{
    Q_OBJECT

public:
    explicit Open(QWidget *parent = nullptr);
    ~Open();

private slots:
    void on_buttonBox_rejected();

    void on_buttonBox_accepted();



    void on_dirview_clicked(const QModelIndex &index);

private:
    Ui::Open *ui;
    QFileSystemModel *dirmodel;
    QFileSystemModel *filemodel;
};

#endif // OPEN_H
